## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check

%global crate tiny-dfr

Name:           rust-tiny-dfr
Version:        0.1.2
Release:        %autorelease
Summary:        Most basic dynamic function row daemon possible

License:        MIT AND Apache-2.0
URL:            https://crates.io/crates/tiny-dfr
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 23
BuildRequires:  systemd-rpm-macros

# Due to rust-drm
ExcludeArch:    ppc64le s390x

%global _description %{expand:
The most basic dynamic function row daemon possible.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# See LICENSE.dependencies for the full breakdown
License:        Apache-2.0 AND BSD-3-Clause AND CC0-1.0 AND ISC AND LGPL-2.1-or-later AND MIT AND MPL-2.0 AND Unicode-DFS-2016 AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT)

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.material
%license LICENSE.dependencies
%doc README.md
%{_bindir}/tiny-dfr
%{_datadir}/%{crate}/
%{_udevrulesdir}/*.rules
%{_unitdir}/%{crate}.service

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

install -Dpm0644 -t %{buildroot}%{_datadir}/%{crate} share/%{crate}/*.svg
install -Dpm0644 -t %{buildroot}%{_udevrulesdir} etc/udev/rules.d/*.rules
install -Dpm0644 -t %{buildroot}%{_unitdir} etc/systemd/system/%{crate}.service

%post -n %{crate}
%systemd_post %{crate}.service

%preun -n %{crate}
%systemd_preun %{crate}.service

%postun -n %{crate}
%systemd_postun_with_restart %{crate}.service

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Oct 01 2023 Kalev Lember <klember@redhat.com> 0.1.2-2
- Drop downstream patch to use librsvg pre-release version

* Mon Sep 11 2023 Davide Cavalca <dcavalca@fedoraproject.org> 0.1.2-1
- Update to 0.1.2; Fixes: RHBZ#2238327

* Tue Aug 22 2023 Kalev Lember <klember@redhat.com> 0.1.1-4
- Use librsvg 2.57.0-beta and cairo-rs 0.18

* Sat Aug 12 2023 Davide Cavalca <dcavalca@fedoraproject.org> 0.1.1-3
- Backport upstream commit for backlight udev rule

* Sun Aug 06 2023 Davide Cavalca <dcavalca@fedoraproject.org> 0.1.1-2
- Exclude ppc64le and s390x due to missing dependencies

* Sun Aug 06 2023 Davide Cavalca <dcavalca@fedoraproject.org> 0.1.1-1
- Initial import; Fixes: RHBZ#2227479
